# $Revision: 1.11 $, $Date: 2005/10/05 20:59:32 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	LMTP
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - an implementation of the RFC2033 LMTP protocol
Summary(pl):	%{_pearname} - implementacja protokou LMTP (RFC2033)
Name:		php-pear-%{_pearname}
Version:	1.0.1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	646d1c5293b069cda9b4a94011a18e20
URL:		http://pear.php.net/package/Net_LMTP/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
Requires:	php-pear-Net_Socket
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides an implementation of the RFC2033 LMTP using
PEAR's Net_Socket and Auth_SASL class.

In PEAR status of this package is: %{_status}.

%description -l pl
Ten pakiet dostarcza implementacj protokou LMTP (opisanego w
RFC2033) za pomoc klas Net_Socket oraz Auth_SASL.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_LMTP.spec,v $
Revision 1.11  2005/10/05 20:59:32  glen
- rel 3

Revision 1.10  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.9  2005/09/29 00:03:05  glen
- new pear packaging

Revision 1.8  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.7  2004/08/25 19:47:40  adamg
- updated to 1.0.1

Revision 1.6  2004/08/19 10:39:56  undefine
- release 2

Revision 1.5  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.4  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.3  2004/03/04 19:45:17  qboosh
- cosmetics

Revision 1.2  2004/03/03 18:39:40  adamg
- uncommented status information in pl description

Revision 1.1  2004/03/03 18:28:37  adamg
- initial import
